Package com.io7m.idstore.protocol.admin.cb

# Record Class IdA1CommandAdminSelf

java.lang.Object
java.lang.Record
com.io7m.idstore.protocol.admin.cb.IdA1CommandAdminSelf

All Implemented Interfaces:
  `com.io7m.cedarbridge.runtime.api.CBProtocolMessageType`, `com.io7m.cedarbridge.runtime.api.CBSerializableType`, `ProtocolIdA1Type`, `ProtocolIdA1v1Type`

public record IdA1CommandAdminSelf() extends Record implements com.io7m.cedarbridge.runtime.api.CBSerializableType, ProtocolIdA1v1Type
A request to fetch the admin's own profile.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdA1CommandAdminSelf()`
  Creates an instance of a `IdA1CommandAdminSelf` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IdA1CommandAdminSelf`
  `deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context)`
  Deserialize a value of type IdA1CommandAdminSelf.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `static void`
  `serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, IdA1CommandAdminSelf $x)`
  Serialize a value of type IdA1CommandAdminSelf.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdA1CommandAdminSelf

    public IdA1CommandAdminSelf()
    Creates an instance of a `IdA1CommandAdminSelf` record class.

- ## Method Details

  - ### serialize

    public static void serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, IdA1CommandAdminSelf $x) throws IOException
    Serialize a value of type IdA1CommandAdminSelf.
    Parameters:
      `$context` - The serialization context.
      `$x` - The value to be serialized.
    Throws:
      `IOException`

  - ### deserialize

    public static IdA1CommandAdminSelf deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context) throws IOException
    Deserialize a value of type IdA1CommandAdminSelf.
    Parameters:
      `$context` - The serialization context.
    Returns:
      A value of type IdA1CommandAdminSelf.
    Throws:
      `IOException`

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.